petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESQNSetType

Sets the quasi-Newton variant to be used in SNESQN.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESQNSetType(SNES snes, SNESQNType qtype)

Logically Collective on SNES

### Input Parameters

| snes | - the iterative context
| qtype | - variant type

### Options Database

-snes_qn_type <lbfgs,broyden,badbroyden> -

### SNESQNTypes

| SNES_QN_LBFGS | - LBFGS variant
| SNES_QN_BROYDEN | - Broyden variant
| SNES_QN_BADBROYDEN | - Bad Broyden variant

### Keywords

SNES, SNESQN, type, set, SNESQNType

Level:beginner
Location:src/snes/impls/qn/qn.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages